Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.65.44.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
255.65.44.0
Broadcast address
255.65.45.255
First usable
255.65.44.1
Last usable
255.65.45.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF412C00 · Integer 4282461184 to 4282461695
Reverse DNS zones
44.65.255.in-addr.arpa
45.65.255.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.01000001.00101100.00000000255.65.44.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11111111.01000001.00101100.00000000255.65.44.0
Broadcast11111111.01000001.00101101.11111111255.65.45.255
Split into smaller subnets/31

255.65.44.0/23 makes 256 subnets of /31.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.65.44.0/31255.65.44.0 to 255.65.44.1—2
2255.65.44.2/31255.65.44.2 to 255.65.44.3—2
3255.65.44.4/31255.65.44.4 to 255.65.44.5—2
4255.65.44.6/31255.65.44.6 to 255.65.44.7—2
5255.65.44.8/31255.65.44.8 to 255.65.44.9—2
6255.65.44.10/31255.65.44.10 to 255.65.44.11—2
7255.65.44.12/31255.65.44.12 to 255.65.44.13—2
8255.65.44.14/31255.65.44.14 to 255.65.44.15—2
9255.65.44.16/31255.65.44.16 to 255.65.44.17—2
10255.65.44.18/31255.65.44.18 to 255.65.44.19—2
11255.65.44.20/31255.65.44.20 to 255.65.44.21—2
12255.65.44.22/31255.65.44.22 to 255.65.44.23—2
13255.65.44.24/31255.65.44.24 to 255.65.44.25—2
14255.65.44.26/31255.65.44.26 to 255.65.44.27—2
15255.65.44.28/31255.65.44.28 to 255.65.44.29—2
16255.65.44.30/31255.65.44.30 to 255.65.44.31—2
17255.65.44.32/31255.65.44.32 to 255.65.44.33—2
18255.65.44.34/31255.65.44.34 to 255.65.44.35—2
19255.65.44.36/31255.65.44.36 to 255.65.44.37—2
20255.65.44.38/31255.65.44.38 to 255.65.44.39—2
21255.65.44.40/31255.65.44.40 to 255.65.44.41—2
22255.65.44.42/31255.65.44.42 to 255.65.44.43—2
23255.65.44.44/31255.65.44.44 to 255.65.44.45—2
24255.65.44.46/31255.65.44.46 to 255.65.44.47—2
25255.65.44.48/31255.65.44.48 to 255.65.44.49—2
26255.65.44.50/31255.65.44.50 to 255.65.44.51—2
27255.65.44.52/31255.65.44.52 to 255.65.44.53—2
28255.65.44.54/31255.65.44.54 to 255.65.44.55—2
29255.65.44.56/31255.65.44.56 to 255.65.44.57—2
30255.65.44.58/31255.65.44.58 to 255.65.44.59—2
31255.65.44.60/31255.65.44.60 to 255.65.44.61—2
32255.65.44.62/31255.65.44.62 to 255.65.44.63—2
33255.65.44.64/31255.65.44.64 to 255.65.44.65—2
34255.65.44.66/31255.65.44.66 to 255.65.44.67—2
35255.65.44.68/31255.65.44.68 to 255.65.44.69—2
36255.65.44.70/31255.65.44.70 to 255.65.44.71—2
37255.65.44.72/31255.65.44.72 to 255.65.44.73—2
38255.65.44.74/31255.65.44.74 to 255.65.44.75—2
39255.65.44.76/31255.65.44.76 to 255.65.44.77—2
40255.65.44.78/31255.65.44.78 to 255.65.44.79—2
41255.65.44.80/31255.65.44.80 to 255.65.44.81—2
42255.65.44.82/31255.65.44.82 to 255.65.44.83—2
43255.65.44.84/31255.65.44.84 to 255.65.44.85—2
44255.65.44.86/31255.65.44.86 to 255.65.44.87—2
45255.65.44.88/31255.65.44.88 to 255.65.44.89—2
46255.65.44.90/31255.65.44.90 to 255.65.44.91—2
47255.65.44.92/31255.65.44.92 to 255.65.44.93—2
48255.65.44.94/31255.65.44.94 to 255.65.44.95—2
49255.65.44.96/31255.65.44.96 to 255.65.44.97—2
50255.65.44.98/31255.65.44.98 to 255.65.44.99—2
51255.65.44.100/31255.65.44.100 to 255.65.44.101—2
52255.65.44.102/31255.65.44.102 to 255.65.44.103—2
53255.65.44.104/31255.65.44.104 to 255.65.44.105—2
54255.65.44.106/31255.65.44.106 to 255.65.44.107—2
55255.65.44.108/31255.65.44.108 to 255.65.44.109—2
56255.65.44.110/31255.65.44.110 to 255.65.44.111—2
57255.65.44.112/31255.65.44.112 to 255.65.44.113—2
58255.65.44.114/31255.65.44.114 to 255.65.44.115—2
59255.65.44.116/31255.65.44.116 to 255.65.44.117—2
60255.65.44.118/31255.65.44.118 to 255.65.44.119—2
61255.65.44.120/31255.65.44.120 to 255.65.44.121—2
62255.65.44.122/31255.65.44.122 to 255.65.44.123—2
63255.65.44.124/31255.65.44.124 to 255.65.44.125—2
64255.65.44.126/31255.65.44.126 to 255.65.44.127—2
65255.65.44.128/31255.65.44.128 to 255.65.44.129—2
66255.65.44.130/31255.65.44.130 to 255.65.44.131—2
67255.65.44.132/31255.65.44.132 to 255.65.44.133—2
68255.65.44.134/31255.65.44.134 to 255.65.44.135—2
69255.65.44.136/31255.65.44.136 to 255.65.44.137—2
70255.65.44.138/31255.65.44.138 to 255.65.44.139—2
71255.65.44.140/31255.65.44.140 to 255.65.44.141—2
72255.65.44.142/31255.65.44.142 to 255.65.44.143—2
73255.65.44.144/31255.65.44.144 to 255.65.44.145—2
74255.65.44.146/31255.65.44.146 to 255.65.44.147—2
75255.65.44.148/31255.65.44.148 to 255.65.44.149—2
76255.65.44.150/31255.65.44.150 to 255.65.44.151—2
77255.65.44.152/31255.65.44.152 to 255.65.44.153—2
78255.65.44.154/31255.65.44.154 to 255.65.44.155—2
79255.65.44.156/31255.65.44.156 to 255.65.44.157—2
80255.65.44.158/31255.65.44.158 to 255.65.44.159—2
81255.65.44.160/31255.65.44.160 to 255.65.44.161—2
82255.65.44.162/31255.65.44.162 to 255.65.44.163—2
83255.65.44.164/31255.65.44.164 to 255.65.44.165—2
84255.65.44.166/31255.65.44.166 to 255.65.44.167—2
85255.65.44.168/31255.65.44.168 to 255.65.44.169—2
86255.65.44.170/31255.65.44.170 to 255.65.44.171—2
87255.65.44.172/31255.65.44.172 to 255.65.44.173—2
88255.65.44.174/31255.65.44.174 to 255.65.44.175—2
89255.65.44.176/31255.65.44.176 to 255.65.44.177—2
90255.65.44.178/31255.65.44.178 to 255.65.44.179—2
91255.65.44.180/31255.65.44.180 to 255.65.44.181—2
92255.65.44.182/31255.65.44.182 to 255.65.44.183—2
93255.65.44.184/31255.65.44.184 to 255.65.44.185—2
94255.65.44.186/31255.65.44.186 to 255.65.44.187—2
95255.65.44.188/31255.65.44.188 to 255.65.44.189—2
96255.65.44.190/31255.65.44.190 to 255.65.44.191—2
97255.65.44.192/31255.65.44.192 to 255.65.44.193—2
98255.65.44.194/31255.65.44.194 to 255.65.44.195—2
99255.65.44.196/31255.65.44.196 to 255.65.44.197—2
100255.65.44.198/31255.65.44.198 to 255.65.44.199—2
101255.65.44.200/31255.65.44.200 to 255.65.44.201—2
102255.65.44.202/31255.65.44.202 to 255.65.44.203—2
103255.65.44.204/31255.65.44.204 to 255.65.44.205—2
104255.65.44.206/31255.65.44.206 to 255.65.44.207—2
105255.65.44.208/31255.65.44.208 to 255.65.44.209—2
106255.65.44.210/31255.65.44.210 to 255.65.44.211—2
107255.65.44.212/31255.65.44.212 to 255.65.44.213—2
108255.65.44.214/31255.65.44.214 to 255.65.44.215—2
109255.65.44.216/31255.65.44.216 to 255.65.44.217—2
110255.65.44.218/31255.65.44.218 to 255.65.44.219—2
111255.65.44.220/31255.65.44.220 to 255.65.44.221—2
112255.65.44.222/31255.65.44.222 to 255.65.44.223—2
113255.65.44.224/31255.65.44.224 to 255.65.44.225—2
114255.65.44.226/31255.65.44.226 to 255.65.44.227—2
115255.65.44.228/31255.65.44.228 to 255.65.44.229—2
116255.65.44.230/31255.65.44.230 to 255.65.44.231—2
117255.65.44.232/31255.65.44.232 to 255.65.44.233—2
118255.65.44.234/31255.65.44.234 to 255.65.44.235—2
119255.65.44.236/31255.65.44.236 to 255.65.44.237—2
120255.65.44.238/31255.65.44.238 to 255.65.44.239—2
121255.65.44.240/31255.65.44.240 to 255.65.44.241—2
122255.65.44.242/31255.65.44.242 to 255.65.44.243—2
123255.65.44.244/31255.65.44.244 to 255.65.44.245—2
124255.65.44.246/31255.65.44.246 to 255.65.44.247—2
125255.65.44.248/31255.65.44.248 to 255.65.44.249—2
126255.65.44.250/31255.65.44.250 to 255.65.44.251—2
127255.65.44.252/31255.65.44.252 to 255.65.44.253—2
128255.65.44.254/31255.65.44.254 to 255.65.44.255—2
129255.65.45.0/31255.65.45.0 to 255.65.45.1—2
130255.65.45.2/31255.65.45.2 to 255.65.45.3—2
131255.65.45.4/31255.65.45.4 to 255.65.45.5—2
132255.65.45.6/31255.65.45.6 to 255.65.45.7—2
133255.65.45.8/31255.65.45.8 to 255.65.45.9—2
134255.65.45.10/31255.65.45.10 to 255.65.45.11—2
135255.65.45.12/31255.65.45.12 to 255.65.45.13—2
136255.65.45.14/31255.65.45.14 to 255.65.45.15—2
137255.65.45.16/31255.65.45.16 to 255.65.45.17—2
138255.65.45.18/31255.65.45.18 to 255.65.45.19—2
139255.65.45.20/31255.65.45.20 to 255.65.45.21—2
140255.65.45.22/31255.65.45.22 to 255.65.45.23—2
141255.65.45.24/31255.65.45.24 to 255.65.45.25—2
142255.65.45.26/31255.65.45.26 to 255.65.45.27—2
143255.65.45.28/31255.65.45.28 to 255.65.45.29—2
144255.65.45.30/31255.65.45.30 to 255.65.45.31—2
145255.65.45.32/31255.65.45.32 to 255.65.45.33—2
146255.65.45.34/31255.65.45.34 to 255.65.45.35—2
147255.65.45.36/31255.65.45.36 to 255.65.45.37—2
148255.65.45.38/31255.65.45.38 to 255.65.45.39—2
149255.65.45.40/31255.65.45.40 to 255.65.45.41—2
150255.65.45.42/31255.65.45.42 to 255.65.45.43—2
151255.65.45.44/31255.65.45.44 to 255.65.45.45—2
152255.65.45.46/31255.65.45.46 to 255.65.45.47—2
153255.65.45.48/31255.65.45.48 to 255.65.45.49—2
154255.65.45.50/31255.65.45.50 to 255.65.45.51—2
155255.65.45.52/31255.65.45.52 to 255.65.45.53—2
156255.65.45.54/31255.65.45.54 to 255.65.45.55—2
157255.65.45.56/31255.65.45.56 to 255.65.45.57—2
158255.65.45.58/31255.65.45.58 to 255.65.45.59—2
159255.65.45.60/31255.65.45.60 to 255.65.45.61—2
160255.65.45.62/31255.65.45.62 to 255.65.45.63—2
161255.65.45.64/31255.65.45.64 to 255.65.45.65—2
162255.65.45.66/31255.65.45.66 to 255.65.45.67—2
163255.65.45.68/31255.65.45.68 to 255.65.45.69—2
164255.65.45.70/31255.65.45.70 to 255.65.45.71—2
165255.65.45.72/31255.65.45.72 to 255.65.45.73—2
166255.65.45.74/31255.65.45.74 to 255.65.45.75—2
167255.65.45.76/31255.65.45.76 to 255.65.45.77—2
168255.65.45.78/31255.65.45.78 to 255.65.45.79—2
169255.65.45.80/31255.65.45.80 to 255.65.45.81—2
170255.65.45.82/31255.65.45.82 to 255.65.45.83—2
171255.65.45.84/31255.65.45.84 to 255.65.45.85—2
172255.65.45.86/31255.65.45.86 to 255.65.45.87—2
173255.65.45.88/31255.65.45.88 to 255.65.45.89—2
174255.65.45.90/31255.65.45.90 to 255.65.45.91—2
175255.65.45.92/31255.65.45.92 to 255.65.45.93—2
176255.65.45.94/31255.65.45.94 to 255.65.45.95—2
177255.65.45.96/31255.65.45.96 to 255.65.45.97—2
178255.65.45.98/31255.65.45.98 to 255.65.45.99—2
179255.65.45.100/31255.65.45.100 to 255.65.45.101—2
180255.65.45.102/31255.65.45.102 to 255.65.45.103—2
181255.65.45.104/31255.65.45.104 to 255.65.45.105—2
182255.65.45.106/31255.65.45.106 to 255.65.45.107—2
183255.65.45.108/31255.65.45.108 to 255.65.45.109—2
184255.65.45.110/31255.65.45.110 to 255.65.45.111—2
185255.65.45.112/31255.65.45.112 to 255.65.45.113—2
186255.65.45.114/31255.65.45.114 to 255.65.45.115—2
187255.65.45.116/31255.65.45.116 to 255.65.45.117—2
188255.65.45.118/31255.65.45.118 to 255.65.45.119—2
189255.65.45.120/31255.65.45.120 to 255.65.45.121—2
190255.65.45.122/31255.65.45.122 to 255.65.45.123—2
191255.65.45.124/31255.65.45.124 to 255.65.45.125—2
192255.65.45.126/31255.65.45.126 to 255.65.45.127—2
193255.65.45.128/31255.65.45.128 to 255.65.45.129—2
194255.65.45.130/31255.65.45.130 to 255.65.45.131—2
195255.65.45.132/31255.65.45.132 to 255.65.45.133—2
196255.65.45.134/31255.65.45.134 to 255.65.45.135—2
197255.65.45.136/31255.65.45.136 to 255.65.45.137—2
198255.65.45.138/31255.65.45.138 to 255.65.45.139—2
199255.65.45.140/31255.65.45.140 to 255.65.45.141—2
200255.65.45.142/31255.65.45.142 to 255.65.45.143—2
201255.65.45.144/31255.65.45.144 to 255.65.45.145—2
202255.65.45.146/31255.65.45.146 to 255.65.45.147—2
203255.65.45.148/31255.65.45.148 to 255.65.45.149—2
204255.65.45.150/31255.65.45.150 to 255.65.45.151—2
205255.65.45.152/31255.65.45.152 to 255.65.45.153—2
206255.65.45.154/31255.65.45.154 to 255.65.45.155—2
207255.65.45.156/31255.65.45.156 to 255.65.45.157—2
208255.65.45.158/31255.65.45.158 to 255.65.45.159—2
209255.65.45.160/31255.65.45.160 to 255.65.45.161—2
210255.65.45.162/31255.65.45.162 to 255.65.45.163—2
211255.65.45.164/31255.65.45.164 to 255.65.45.165—2
212255.65.45.166/31255.65.45.166 to 255.65.45.167—2
213255.65.45.168/31255.65.45.168 to 255.65.45.169—2
214255.65.45.170/31255.65.45.170 to 255.65.45.171—2
215255.65.45.172/31255.65.45.172 to 255.65.45.173—2
216255.65.45.174/31255.65.45.174 to 255.65.45.175—2
217255.65.45.176/31255.65.45.176 to 255.65.45.177—2
218255.65.45.178/31255.65.45.178 to 255.65.45.179—2
219255.65.45.180/31255.65.45.180 to 255.65.45.181—2
220255.65.45.182/31255.65.45.182 to 255.65.45.183—2
221255.65.45.184/31255.65.45.184 to 255.65.45.185—2
222255.65.45.186/31255.65.45.186 to 255.65.45.187—2
223255.65.45.188/31255.65.45.188 to 255.65.45.189—2
224255.65.45.190/31255.65.45.190 to 255.65.45.191—2
225255.65.45.192/31255.65.45.192 to 255.65.45.193—2
226255.65.45.194/31255.65.45.194 to 255.65.45.195—2
227255.65.45.196/31255.65.45.196 to 255.65.45.197—2
228255.65.45.198/31255.65.45.198 to 255.65.45.199—2
229255.65.45.200/31255.65.45.200 to 255.65.45.201—2
230255.65.45.202/31255.65.45.202 to 255.65.45.203—2
231255.65.45.204/31255.65.45.204 to 255.65.45.205—2
232255.65.45.206/31255.65.45.206 to 255.65.45.207—2
233255.65.45.208/31255.65.45.208 to 255.65.45.209—2
234255.65.45.210/31255.65.45.210 to 255.65.45.211—2
235255.65.45.212/31255.65.45.212 to 255.65.45.213—2
236255.65.45.214/31255.65.45.214 to 255.65.45.215—2
237255.65.45.216/31255.65.45.216 to 255.65.45.217—2
238255.65.45.218/31255.65.45.218 to 255.65.45.219—2
239255.65.45.220/31255.65.45.220 to 255.65.45.221—2
240255.65.45.222/31255.65.45.222 to 255.65.45.223—2
241255.65.45.224/31255.65.45.224 to 255.65.45.225—2
242255.65.45.226/31255.65.45.226 to 255.65.45.227—2
243255.65.45.228/31255.65.45.228 to 255.65.45.229—2
244255.65.45.230/31255.65.45.230 to 255.65.45.231—2
245255.65.45.232/31255.65.45.232 to 255.65.45.233—2
246255.65.45.234/31255.65.45.234 to 255.65.45.235—2
247255.65.45.236/31255.65.45.236 to 255.65.45.237—2
248255.65.45.238/31255.65.45.238 to 255.65.45.239—2
249255.65.45.240/31255.65.45.240 to 255.65.45.241—2
250255.65.45.242/31255.65.45.242 to 255.65.45.243—2
251255.65.45.244/31255.65.45.244 to 255.65.45.245—2
252255.65.45.246/31255.65.45.246 to 255.65.45.247—2
253255.65.45.248/31255.65.45.248 to 255.65.45.249—2
254255.65.45.250/31255.65.45.250 to 255.65.45.251—2
255255.65.45.252/31255.65.45.252 to 255.65.45.253—2
256255.65.45.254/31255.65.45.254 to 255.65.45.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses